<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: src/SimCalorimeterHitCollection.cc Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimCalorimeterHitCollection.cc</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_calorimeter_hit_collection_8cc.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_collection_8h.html">eicd/SimCalorimeterHitCollection.h</a>&quot;</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// standard includes</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;stdexcept&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;iomanip&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1b3f879bcb71b2664f46ccaa2c613ce2">   11</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1b3f879bcb71b2664f46ccaa2c613ce2">SimCalorimeterHitCollection::SimCalorimeterHitCollection</a>() : m_isValid(false), m_collectionID(0), m_entries() ,m_data(new <a class="code" href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">SimCalorimeterHitDataContainer</a>() ) {</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;  </div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;}</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#aa6711126a3061a862fe8122c9869dbea">   15</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#aa6711126a3061a862fe8122c9869dbea">SimCalorimeterHitCollection::~SimCalorimeterHitCollection</a>() {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1214695f0e488bfab9553ecb35a1304a">clear</a>();</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;}</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7f2144361c5cd4be1c619c96caffd3d8">   21</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7f2144361c5cd4be1c619c96caffd3d8">SimCalorimeterHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(m_entries[index]);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;}</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a11a16529423bf3d4a41d991d25cd5991">   25</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a11a16529423bf3d4a41d991d25cd5991">SimCalorimeterHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index)<span class="keyword"> const </span>{</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(m_entries.at(index));</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a82f278eca5c1477a8165fc578291c9b5">   29</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a7f2144361c5cd4be1c619c96caffd3d8">SimCalorimeterHitCollection::operator[]</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(m_entries[index]);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a77bcdd98c0a4497d8c7e0ea18ccd5f99">   33</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a11a16529423bf3d4a41d991d25cd5991">SimCalorimeterHitCollection::at</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(m_entries.at(index));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;}</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">   37</a></span>&#160;<span class="keywordtype">size_t</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">SimCalorimeterHitCollection::size</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <span class="keywordflow">return</span> m_entries.size();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;}</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">   41</a></span>&#160;<a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">SimCalorimeterHitCollection::create</a>(){</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keyword">auto</span> obj = m_entries.emplace_back(<span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>());</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  obj-&gt;id = {int(m_entries.size()-1),m_collectionID};</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>(obj);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1214695f0e488bfab9553ecb35a1304a">   48</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1214695f0e488bfab9553ecb35a1304a">SimCalorimeterHitCollection::clear</a>(){</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  m_data-&gt;clear();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { <span class="keyword">delete</span> obj; }</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  m_entries.clear();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a4ca83d821165a9c9a33f8abde2fbdeba">   55</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a4ca83d821165a9c9a33f8abde2fbdeba">SimCalorimeterHitCollection::prepareForWrite</a>(){</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keyword">auto</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a> = m_entries.size();</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  m_data-&gt;reserve(<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a>);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; obj : m_entries) { m_data-&gt;push_back(obj-&gt;data); }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; pointer : m_refCollections) { pointer-&gt;clear(); }</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0, <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a> = m_data-&gt;size(); i != <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a>; ++i){</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;}</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a232dc8b0dc37d09b3c5e5aeea580938c">   67</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a232dc8b0dc37d09b3c5e5aeea580938c">SimCalorimeterHitCollection::prepareAfterRead</a>(){</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordtype">int</span> index = 0;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordflow">for</span> (<span class="keyword">auto</span>&amp; data : *m_data){</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keyword">auto</span> obj = <span class="keyword">new</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>({index, m_collectionID}, data);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    </div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    m_entries.emplace_back(obj);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    ++index;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  m_isValid = <span class="keyword">true</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab9e11c301beef8498fb9fed18c968bbf">   78</a></span>&#160;<span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#ab9e11c301beef8498fb9fed18c968bbf">SimCalorimeterHitCollection::setReferences</a>(<span class="keyword">const</span> podio::ICollectionProvider* collectionProvider){</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordflow">return</span> <span class="keyword">true</span>; <span class="comment">//TODO: check success</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9842bda21b25b1a46f7255264e459560">   84</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a9842bda21b25b1a46f7255264e459560">SimCalorimeterHitCollection::push_back</a>(<a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> <span class="keywordtype">object</span>){</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a> = m_entries.size();</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keyword">auto</span> obj = <span class="keywordtype">object</span>.m_obj;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordflow">if</span> (obj-&gt;id.index == podio::ObjectID::untracked) {</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;      obj-&gt;id = {<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a>, m_collectionID};</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;      m_entries.push_back(obj);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;      </div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  } <span class="keywordflow">else</span> {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordflow">throw</span> std::invalid_argument( <span class="stringliteral">&quot;Object already in a collection. Cannot add it to a second collection &quot;</span> );</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  }</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection.html#add2618d527b07825a0d418b3f74c6b13">   96</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#add2618d527b07825a0d418b3f74c6b13">SimCalorimeterHitCollection::setBuffer</a>(<span class="keywordtype">void</span>* address){</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keywordflow">if</span> (m_data) <span class="keyword">delete</span> m_data;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;  m_data = <span class="keyword">static_cast&lt;</span><a class="code" href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">SimCalorimeterHitDataContainer</a>*<span class="keyword">&gt;</span>(address);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;}</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">  102</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">SimCalorimeterHitCollectionIterator::operator* </a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordflow">return</span> m_object;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">  107</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>* <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">SimCalorimeterHitCollectionIterator::operator-&gt; </a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  m_object.m_obj = (*m_collection)[m_index];</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordflow">return</span> &amp;m_object;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;}</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">  112</a></span>&#160;<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a>&amp; <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">SimCalorimeterHitCollectionIterator::operator++</a>()<span class="keyword"> const </span>{</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  ++m_index;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordflow">return</span> *<span class="keyword">this</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;}</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="namespaceeic.html#ace6570b7fb731665cffd1852908535fc">  117</a></span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>( std::ostream&amp; o,<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>&amp; v){</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  <span class="keyword">const</span> std::ios::fmtflags old_flags = o.flags();</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  o &lt;&lt; <span class="stringliteral">&quot;id:         cellID0 :     cellID1 :     energy :      time :        &quot;</span> &lt;&lt; std::endl;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordflow">for</span> (<span class="keywordtype">size_t</span> i = 0; i &lt; v.<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">size</a>(); ++i) {</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    o &lt;&lt; std::scientific &lt;&lt; std::showpos</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;      &lt;&lt; std::setw(12) &lt;&lt; v[i].id() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">cellID0</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">cellID1</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">energy</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;      &lt;&lt; std::setw(14) &lt;&lt; v[i].<a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">time</a>() &lt;&lt; <span class="stringliteral">&quot; &quot;</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;      &lt;&lt; std::endl;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  o.flags(old_flags);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <span class="keywordflow">return</span> o;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;}</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;} <span class="comment">// namespace eic</span></div><div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a102ffc7c7df7a7bb484fac7d27cc87bb"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a102ffc7c7df7a7bb484fac7d27cc87bb">eic::SimCalorimeterHitCollection::cellID0</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID0() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00168">SimCalorimeterHitCollection.h:168</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ab156f24866f474be4c00c320557a219b"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ab156f24866f474be4c00c320557a219b">eic::SimCalorimeterHitCollection::create</a></div><div class="ttdeci">SimCalorimeterHit create()</div><div class="ttdoc">Append a new object to the collection, and return this object. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00041">SimCalorimeterHitCollection.cc:41</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a1fcf5635e1c3113d034f01b1a01488ae"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a1fcf5635e1c3113d034f01b1a01488ae">eic::SimCalorimeterHitCollection::cellID1</a></div><div class="ttdeci">const std::array&lt; long long, arraysize &gt; cellID1() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00177">SimCalorimeterHitCollection.h:177</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a9842bda21b25b1a46f7255264e459560"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a9842bda21b25b1a46f7255264e459560">eic::SimCalorimeterHitCollection::push_back</a></div><div class="ttdeci">void push_back(ConstSimCalorimeterHit object)</div><div class="ttdoc">Append object to the collection. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00084">SimCalorimeterHitCollection.cc:84</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a11a16529423bf3d4a41d991d25cd5991"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a11a16529423bf3d4a41d991d25cd5991">eic::SimCalorimeterHitCollection::at</a></div><div class="ttdeci">const SimCalorimeterHit at(unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00025">SimCalorimeterHitCollection.cc:25</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a4ca83d821165a9c9a33f8abde2fbdeba"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a4ca83d821165a9c9a33f8abde2fbdeba">eic::SimCalorimeterHitCollection::prepareForWrite</a></div><div class="ttdeci">void prepareForWrite() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00055">SimCalorimeterHitCollection.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a232dc8b0dc37d09b3c5e5aeea580938c"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a232dc8b0dc37d09b3c5e5aeea580938c">eic::SimCalorimeterHitCollection::prepareAfterRead</a></div><div class="ttdeci">void prepareAfterRead() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00067">SimCalorimeterHitCollection.cc:67</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00098">CalorimeterHit.cc:98</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_obj.html">eic::SimCalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_obj_8h_source.html#l00023">SimCalorimeterHitObj.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a7f2144361c5cd4be1c619c96caffd3d8"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a7f2144361c5cd4be1c619c96caffd3d8">eic::SimCalorimeterHitCollection::operator[]</a></div><div class="ttdeci">const SimCalorimeterHit operator[](unsigned int index) const</div><div class="ttdoc">Returns the const object of given index. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00021">SimCalorimeterHitCollection.cc:21</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a1214695f0e488bfab9553ecb35a1304a"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a1214695f0e488bfab9553ecb35a1304a">eic::SimCalorimeterHitCollection::clear</a></div><div class="ttdeci">void clear() override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00048">SimCalorimeterHitCollection.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_ac45ef7cee9cab3428b179fd66d167e2f"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#ac45ef7cee9cab3428b179fd66d167e2f">eic::SimCalorimeterHitCollectionIterator::operator*</a></div><div class="ttdeci">const SimCalorimeterHit operator*() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00102">SimCalorimeterHitCollection.cc:102</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a89a30657e728a226663d65aa2b617d34"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a89a30657e728a226663d65aa2b617d34">eic::SimCalorimeterHitCollection::time</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; time() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00195">SimCalorimeterHitCollection.h:195</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_a1a53f66bb464ccfd7ed782ab2ded8dc7"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a1a53f66bb464ccfd7ed782ab2ded8dc7">eic::SimCalorimeterHitCollectionIterator::operator-&gt;</a></div><div class="ttdeci">const SimCalorimeterHit * operator-&gt;() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00107">SimCalorimeterHitCollection.cc:107</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a1b3f879bcb71b2664f46ccaa2c613ce2"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a1b3f879bcb71b2664f46ccaa2c613ce2">eic::SimCalorimeterHitCollection::SimCalorimeterHitCollection</a></div><div class="ttdeci">SimCalorimeterHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00011">SimCalorimeterHitCollection.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_add2618d527b07825a0d418b3f74c6b13"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#add2618d527b07825a0d418b3f74c6b13">eic::SimCalorimeterHitCollection::setBuffer</a></div><div class="ttdeci">void setBuffer(void *address) override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00096">SimCalorimeterHitCollection.cc:96</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html_a76ad87d5101a3085c80b4fab1462ee6a"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html#a76ad87d5101a3085c80b4fab1462ee6a">eic::SimCalorimeterHitCollectionIterator::operator++</a></div><div class="ttdeci">const SimCalorimeterHitCollectionIterator &amp; operator++() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00112">SimCalorimeterHitCollection.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">eic::SimCalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00027">SimCalorimeterHitCollection.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_aa6711126a3061a862fe8122c9869dbea"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#aa6711126a3061a862fe8122c9869dbea">eic::SimCalorimeterHitCollection::~SimCalorimeterHitCollection</a></div><div class="ttdeci">~SimCalorimeterHitCollection()</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00015">SimCalorimeterHitCollection.cc:15</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_collection_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_collection_8h.html">SimCalorimeterHitCollection.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html">eic::SimCalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00050">SimCalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a477f9443795a3d380506e7ab59f60033"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a477f9443795a3d380506e7ab59f60033">eic::SimCalorimeterHitCollection::energy</a></div><div class="ttdeci">const std::array&lt; float, arraysize &gt; energy() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00186">SimCalorimeterHitCollection.h:186</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit.html">eic::SimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_8h_source.html#l00029">SimCalorimeterHit.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_a5421dae73eb34b9621874dd683937523"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#a5421dae73eb34b9621874dd683937523">eic::SimCalorimeterHitCollection::size</a></div><div class="ttdeci">size_t size() const override final</div><div class="ttdoc">number of elements in the collection </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00037">SimCalorimeterHitCollection.cc:37</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html">eic::ConstSimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00026">SimCalorimeterHitConst.h:26</a></div></div>
<div class="ttc" id="namespaceeic_html_af9432d095afbe43a1e1b7da738f80ad8"><div class="ttname"><a href="namespaceeic.html#af9432d095afbe43a1e1b7da738f80ad8">eic::SimCalorimeterHitDataContainer</a></div><div class="ttdeci">std::vector&lt; SimCalorimeterHitData &gt; SimCalorimeterHitDataContainer</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00024">SimCalorimeterHitCollection.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html_ab9e11c301beef8498fb9fed18c968bbf"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html#ab9e11c301beef8498fb9fed18c968bbf">eic::SimCalorimeterHitCollection::setReferences</a></div><div class="ttdeci">bool setReferences(const podio::ICollectionProvider *collectionProvider) override final</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8cc_source.html#l00078">SimCalorimeterHitCollection.cc:78</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
